package com.flossom.common.core.mapper;

import com.flossom.common.core.domain.entity.WxModeTag;

import java.util.List;

/**
 * 模式与标签关联Mapper接口
 *
 * @author flossom
 * @date 2024-01-18
 */
public interface WxModeTagMapper
{
    /**
     * 查询模式与标签关联
     *
     * @param id 模式与标签关联主键
     * @return 模式与标签关联
     */
    public WxModeTag selectWxModeTagById(Long id);

    /**
     * 查询模式与标签关联列表
     *
     * @param wxModeTag 模式与标签关联
     * @return 模式与标签关联集合
     */
    public List<WxModeTag> selectWxModeTagList(WxModeTag wxModeTag);

    /**
     * 新增模式与标签关联
     *
     * @param wxModeTag 模式与标签关联
     * @return 结果
     */
    public int insertWxModeTag(WxModeTag wxModeTag);

    /**
     * 修改模式与标签关联
     *
     * @param wxModeTag 模式与标签关联
     * @return 结果
     */
    public int updateWxModeTag(WxModeTag wxModeTag);

    /**
     * 删除模式与标签关联
     *
     * @param id 模式与标签关联主键
     * @return 结果
     */
    public int deleteWxModeTagById(Long id);

    /**
     * 批量删除模式与标签关联
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteWxModeTagByIds(Long[] ids);


    /**
     * 删除模式与标签关联
     *
     * @param modeId 模式ID
     * @return 结果
     */
    public int deleteWxModeTagByModeId(Long modeId);

    /**
     * 删除模式与标签关联
     *
     * @param tagId 标签ID
     * @return 结果
     */
    public int deleteWxModeTagByTagId(Long tagId);
}
